/* 
 * File:   LCD_Display_1.h
 * Author: Paul2010
 *
 * Created on November 2, 2012, 9:45 PM
 */

#ifndef LCD_DISPLAY_1_H
#define	LCD_DISPLAY_1_H
#endif	/* LCD_DISPLAY_1_H */

#include    "xc.h"

//#include    "user.h"
#ifndef      __XC8
#include    "string.h"              //strlen
#include    "math.h"                //fabs
#include    "GenericTypeDefs.h"
#include    "stdio.h"               //sprintf
#include    "p18f4455.h"            //LATB, etc
#endif

/* PORTD pin definitions */

#define	LCD_DB              LATD
#define LCD_D0              LATDbits.LATD0
#define LCD_D1              LATDbits.LATD1
#define LCD_D2              LATDbits.LATD2
#define LCD_D3              LATDbits.LATD3
#define LCD_D4              LATDbits.LATD4
#define LCD_D5              LATDbits.LATD5
#define LCD_D6              LATDbits.LATD6
#define LCD_D7              LATDbits.LATD7

#define mInitD()            LATD = 0x00; TRISD = 0b00000000;

#define	LCD_CLEAR           0b00000001
#define	LCD_HOME            0b00000010
#define	LCD_ON_OFF          0b00001000
#define	LCD_ON              0b00000100
#define	LCD_CUR_ON          0b00000010
#define	LCD_CUR_BLINK       0b00000001

extern  char                DispMsg[17];

void    LCD_Clear_Display(void);
void	LCD_Init_Display(void);
void	LCD_Write_Command(char CMD);
void	LCD_Write_Data(char DATA);
void	LCD_WriteMsg( char row, char col, char *msg );
void	LCD_WriteMsgFloat( char row, char col, char prec, float fval );
void	LCD_WriteMsgInt( char row, char col, int val );
